# String

Source:
  - dictionary.d.js, line 732

### Methods

#### add_Class(newClass) → {string}

Source:
  - dictionary.d.js, line 785

##### Parameters:

Name | Type | Description
--- | --- | ---
`newClass` | string |

##### Returns:

Type
  string

#### base64decode() → {string}

Source:
  - dictionary.d.js, line 888

##### Returns:

Type
  string

#### base64decodeBytes() → {Uint8Array}

Source:
  - dictionary.d.js, line 900

##### Returns:

Type
  Uint8Array

#### base64decodeBytesArray() → {Array.<number>}

Source:
  - dictionary.d.js, line 912

##### Returns:

Type
  Array.<number>

#### base64decodeClean() → {string}

Source:
  - dictionary.d.js, line 931

##### Returns:

Type
  string

#### base64encode() → {string}

Source:
  - dictionary.d.js, line 894

##### Returns:

Type
  string

#### base64encodeBytes() → {Uint8Array}

Source:
  - dictionary.d.js, line 906

##### Returns:

Type
  Uint8Array

#### base64encodeBytesArray() → {Array.<number>}

Source:
  - dictionary.d.js, line 918

##### Returns:

Type
  Array.<number>

#### base64encodeClean() → {string}

Source:
  - dictionary.d.js, line 925

##### Returns:

Type
  string

#### buildQuery() → {Object.<string, (string|Array.<string>)>}

Source:
  - dictionary.d.js, line 1022

Returns a list of parameters included in a string

##### Example

    'my-demo testIndex: 23 with testValue: "demo content"'.buildQuery()
    // returns
    {
        "_keys": [
            "testindex",
            "testvalue"
        ],
        "_": "my-demo",
        "testindex": "23 with",
        "testvalue": "\"demo content\""
    }

##### Returns:

Type
  Object.<string, (string|Array.<string>)>

#### buildSearchArray() → {Array.<string>}

Source:
  - dictionary.d.js, line 1042

Returns a list of parameters included in a string

##### Example

    '"this is" "list of fragments"'.buildSearchArray()
    // returns
    [
        "this is",
        "list of fragments"
    ]

##### Returns:

Type
  Array.<string>

#### cleanTags() → {string}

Source:
  - dictionary.d.js, line 778

remove risky tags from HTML Code: comments, script, iframe, style, object, noscript, frame, frameset

##### Returns:

Type
  string

#### decodeURI() → {string}

Source:
  - dictionary.d.js, line 943

##### Returns:

Type
  string

#### decryptAes(password, sizeopt) → {string}

Source:
  - dictionary.d.js, line 866

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`password` | string |  |  |
`size` | number | <optional> | `128` |

##### Returns:

Type
  string

#### decryptTea(password) → {string}

Source:
  - dictionary.d.js, line 881

##### Parameters:

Name | Type | Description
--- | --- | ---
`password` | string |

##### Returns:

Type
  string

#### del_Class(newClass) → {string}

Source:
  - dictionary.d.js, line 792

##### Parameters:

Name | Type | Description
--- | --- | ---
`newClass` | string |

##### Returns:

Type
  string

#### encodeURI() → {string}

Source:
  - dictionary.d.js, line 937

##### Returns:

Type
  string

#### encryptAes(password, sizeopt) → {string}

Source:
  - dictionary.d.js, line 859

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`password` | string |  |  |
`size` | number | <optional> | `128` |

##### Returns:

Type
  string

#### encryptTea(password) → {string}

Source:
  - dictionary.d.js, line 874

##### Parameters:

Name | Type | Description
--- | --- | ---
`password` | string |

##### Returns:

Type
  string

#### escape() → {string}

Source:
  - dictionary.d.js, line 955

##### Returns:

Type
  string

#### escapeHex() → {string}

Source:
  - dictionary.d.js, line 949

##### Returns:

Type
  string

#### fnd_Class(newClass) → {boolean}

Source:
  - dictionary.d.js, line 799

##### Parameters:

Name | Type | Description
--- | --- | ---
`newClass` | string |

##### Returns:

Type
  boolean

#### fromHex() → {string}

Source:
  - dictionary.d.js, line 751

##### Returns:

Type
  string

#### fromHtml() → {string}

Source:
  - dictionary.d.js, line 771

decode from HTML ( works in Browser )

##### Returns:

Type
  string

#### lcfirst(lengthopt) → {string}

Source:
  - dictionary.d.js, line 819

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`length` | number | <optional> | `1` | how many first chars to be transformed to uppercase

##### Returns:

Type
  string

#### markdown() → {string}

Source:
  - dictionary.d.js, line 995

##### Returns:

Type
  string

#### match_str(rule, flagsopt) → {Array|object}

Source:
  - dictionary.d.js, line 1014

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`rule` | string |  | reg exp rule in string format
`flags` | string | <optional> | reg exp flags

##### Returns:

Type
  Array | object

#### md5() → {string}

Source:
  - dictionary.d.js, line 989

##### Returns:

Type
  string

#### parseUrl(modeopt) → {object}

Source:
  - dictionary.d.js, line 1007

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`mode` | "get_vars" | boolean | <optional> |

##### Returns:

Type
  object

#### sha1(isUtf8opt) → {string}

Source:
  - dictionary.d.js, line 967

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`isUtf8` | boolean | <optional> | `true` |

##### Returns:

Type
  string

#### sha256(isUtf8opt) → {string}

Source:
  - dictionary.d.js, line 974

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`isUtf8` | boolean | <optional> | `true` |

##### Returns:

Type
  string

#### subs(index, lastIndexopt) → {string}

Source:
  - dictionary.d.js, line 736

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`index` | number |  |
`lastIndex` | number | <optional> |

##### Returns:

Type
  string

#### subs(index, count) → {string}

Source:
  - dictionary.d.js, line 981

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` | number |
`count` | number |

##### Returns:

Type
  string

#### swp_case() → {string}

Source:
  - dictionary.d.js, line 806

##### Returns:

Type
  string

#### toArrayBufferFromUtf8() → {ArrayBuffer}

Source:
  - dictionary.d.js, line 1056

##### Returns:

Type
  ArrayBuffer

#### toHex(isUtf8opt) → {string}

Source:
  - dictionary.d.js, line 744

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`isUtf8` | boolean | <optional> | `true` |

##### Returns:

Type
  string

#### toHtml() → {string}

Source:
  - dictionary.d.js, line 764

encode in HTML

##### Returns:

Type
  string

#### toHtmlSimple() → {string}

Source:
  - dictionary.d.js, line 757

encode in HTML minimal

##### Returns:

Type
  string

#### toRegexp() → {RegExp}

Source:
  - dictionary.d.js, line 1001

##### Returns:

Type
  RegExp

#### ucfirst(lengthopt) → {string}

Source:
  - dictionary.d.js, line 812

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`length` | number | <optional> | `1` | how many first chars to be transformed to uppercase

##### Returns:

Type
  string

#### unescape() → {string}

Source:
  - dictionary.d.js, line 961

##### Returns:

Type
  string

#### unicode() → {string}

Source:
  - dictionary.d.js, line 852
See:
  - {String#utf8decode}

##### Returns:

Type
  string

#### utf8() → {string}

Source:
  - dictionary.d.js, line 845
See:
  - {String#utf8encode}

##### Returns:

Type
  string

#### utf8decode() → {string}

Source:
  - dictionary.d.js, line 839

##### Returns:

Type
  string

#### utf8encode() → {string}

Source:
  - dictionary.d.js, line 833

##### Returns:

Type
  string

#### utf8need() → {string}

Source:
  - dictionary.d.js, line 826

Detects if a string is unicode, and if it is, then it is transformed to UTF8

##### Returns:

Type
  string